# musi Tokusu Monokatali

mi toki ante e musi Tokusu Monokatali

[README.en.md (English)](README.en.md)

README.jp.md (日本語)

[![Latest Release](https://gitlab.com/lupa-Tokusu-Monokatali/musi-Tokusu-Monokatali/-/badges/release.svg)](https://gitlab.com/lupa-Tokusu-Monokatali/musi-Tokusu-Monokatali/-/releases)

lipu pi toki ante taso. nasin musi la, o lukin e [nasin](nasin)

# pali

o kama jo e poki ni

```
git clone https://gitlab.com/lupa-Tokusu-Monokatali/musi-Tokusu-Monokatali.git
cd musi-Tokusu-Monokatali
```

## nasin musi

o kama jo e nasin NXEngine, anu nasin NXEngine-Evo, anu nasin Doukutsu-rs.

`git submodule init nasin/nxengine` # nasin Retroarch

`git submodule init nasin/nxengine-evo` # pona

`git submodule init nasin/doukusu-rs` # lukin pona

`git submodule init` # ale

## make 

o make e lipu pi toki ante

`make LANG=` sitelen ale

`make LANG=en` sitelen Lasina taso

`make LANG=jp` sitelen Ilakana taso (UTF8 and SJIS)

`make LANG=tok` sitelen pona taso

## pana en musi

nasin li ante la, sona li ante.  o lukin e ni:

- [nxengine](nasin/nxengine)
- [nxengine-evo](nasin/nxengine-evo)
- [doukusu-rs](nasin/doukusu-rs)

# wile pali
pali mute mute

- [ ] nasin
  - [ ] NXengine
  	- [x] nasin Retroarch
    - [x] ilo Android (kepeken ilo Retroarch)
	- [x] ilo Linux 
    - [ ] ilo Macintosh
	- [x] ilo Windows (kepeken nasin Wine)
  - [ ] NXengine-evo
    - [ ] ilo Macintosh
	- [x] ilo Linux
	- [ ] ilo Switch
	- [x] ilo Windows
	- [ ] ilo Vita
  - [ ] nasin Doukutsu-rs
    - [x] ilo Android
	- [x] ilo Linux 
    - [ ] ilo Macintosh
	- [ ] ilo Windows
- [x] sitelen toki
  - [x] sitelen Lasina
  - [x] sitelen Ilakana
  - [x] sitelen pona
- [ ] toki ante
  - [ ] Doukutsu.exe
  - [ ] mrmap.bin
  - [ ] data
    - [x] data/ArmsItem.tsc
    - [ ] data/Caret.pbm
    - [ ] data/Credit.tsc
    - [x] data/Head.tsc
    - [x] data/StageSelect.tsc
    - [ ] data/TextBox.pbm
    - [ ] data/Title.pbm
  - [x] data/Npc
    - [x] data/Npc/NpcSym.bmp
  - [ ] data/Stage
    - [ ] data/Stage/0.tsc
    - [ ] data/Stage/Almond.tsc
    - [ ] data/Stage/Ballo1.tsc
    - [ ] data/Stage/Ballo2.tsc
    - [x] data/Stage/Barr.tsc
    - [ ] data/Stage/Blcny1.tsc
    - [ ] data/Stage/Blcny2.tsc
    - [x] data/Stage/Cave.tsc
    - [x] data/Stage/Cemet.tsc
    - [x] data/Stage/Cent.tsc
    - [x] data/Stage/CentW.tsc
    - [x] data/Stage/Chako.tsc
    - [x] data/Stage/Clock.tsc
    - [x] data/Stage/Comu.tsc
    - [x] data/Stage/Cthu2.tsc
    - [x] data/Stage/Cthu.tsc
    - [x] data/Stage/Curly.tsc
    - [x] data/Stage/CurlyS.tsc
    - [x] data/Stage/Dark.tsc
    - [x] data/Stage/Drain.tsc
    - [ ] data/Stage/e_Blcn.tsc
    - [ ] data/Stage/e_Ceme.tsc
    - [x] data/Stage/EgEnd1.tsc
    - [x] data/Stage/EgEnd2.tsc
    - [x] data/Stage/Egg1.tsc
    - [x] data/Stage/Egg6.tsc
    - [x] data/Stage/EggR2.tsc
    - [x] data/Stage/EggR.tsc
    - [x] data/Stage/Eggs2.tsc
    - [x] data/Stage/Eggs.tsc
    - [x] data/Stage/EggX2.tsc
    - [x] data/Stage/EggX.tsc
    - [ ] data/Stage/e_Jenk.tsc
    - [ ] data/Stage/e_Labo.tsc
    - [ ] data/Stage/e_Malc.tsc
    - [ ] data/Stage/e_Maze.tsc
    - [ ] data/Stage/e_Sky.tsc
    - [ ] data/Stage/Fall.tsc
    - [x] data/Stage/Frog.tsc
    - [x] data/Stage/Gard.tsc
    - [ ] data/Stage/Hell1.tsc
    - [ ] data/Stage/Hell2.tsc
    - [ ] data/Stage/Hell3.tsc
    - [ ] data/Stage/Hell42.tsc
    - [ ] data/Stage/Hell4.tsc
    - [ ] data/Stage/Island.tsc
    - [x] data/Stage/Itoh.tsc
    - [x] data/Stage/Jail1.tsc
    - [x] data/Stage/Jail2.tsc
    - [x] data/Stage/Jenka1.tsc
    - [x] data/Stage/Jenka2.tsc
    - [ ] data/Stage/Kings.tsc
    - [x] data/Stage/Little.tsc
    - [x] data/Stage/Lounge.tsc
    - [x] data/Stage/Malco.tsc
    - [ ] data/Stage/Mapi.tsc
    - [x] data/Stage/MazeA.tsc
    - [x] data/Stage/MazeB.tsc
    - [x] data/Stage/MazeD.tsc
    - [x] data/Stage/MazeH.tsc
    - [x] data/Stage/MazeI.tsc
    - [x] data/Stage/MazeM.tsc
    - [x] data/Stage/MazeO.tsc
    - [x] data/Stage/MazeS.tsc
    - [x] data/Stage/MazeW.tsc
    - [x] data/Stage/MiBox.tsc
    - [x] data/Stage/Mimi.tsc
    - [ ] data/Stage/Momo.tsc
    - [x] data/Stage/Oside.tsc
    - [ ] data/Stage/Ostep.tsc
    - [x] data/Stage/Pens1.tsc
    - [x] data/Stage/Pens2.tsc
    - [x] data/Stage/Pixel.tsc
    - [x] data/Stage/Plant.tsc
    - [x] data/Stage/Pole.tsc
    - [x] data/Stage/Pool.tsc
    - [ ] data/Stage/Prefa1.tsc
    - [ ] data/Stage/Prefa2.tsc
    - [ ] data/Stage/Priso1.tsc
    - [ ] data/Stage/Priso2.tsc
    - [ ] data/Stage/Ring1.tsc
    - [ ] data/Stage/Ring2.tsc
    - [ ] data/Stage/Ring3.tsc
    - [x] data/Stage/River.tsc
    - [x] data/Stage/SandE.tsc
    - [x] data/Stage/Sand.tsc
    - [x] data/Stage/Santa.tsc
    - [ ] data/StageSelect.tsc
    - [x] data/Stage/Shelt.tsc
    - [x] data/Stage/Start.tsc
    - [ ] data/Stage/Statue.tsc
    - [x] data/Stage/Stream.tsc
    - [x] data/Stage/Weed.tsc
    - [x] data/Stage/WeedB.tsc
    - [x] data/Stage/WeedD.tsc
    - [x] data/Stage/WeedS.tsc
